Update Single/Multiple Select Options

Use this request to update existing single/multiple select options by changing their name and/or color.

In the request body:

table_name is the name of your table, required;
column is the name of the column, required;
options is a list of option objects that you would like to update, in which:

  • id is the ID of that option, which you can retrive with the call "List Columns in A View in A Table", required;
  • color is the label's new color, optional;
  • name is the label's new name, optional.

return_options gives you the possibility to get an overview of all the options you just updated, optional, false by default.

Path Params
string
required
^[0-9a-fA-F]{8}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{12}$

The unique identifier of a base. Sometimes also called dtable_uuid.

Body Params
string

The name of the table to perform the operation on. Alternatively, you can use the table_id instead of table_name. If using table_id, ensure that the key in the request body is replaced accordingly.

string
^[^.}{`]*$

The name of the column.

options
array of objects
options
boolean
Response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json